<?xml version="1.0" encoding="utf-8"?>

<androidx.cardview.widget.CardView
	xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="wrap_content"
	android:layout_margin="5dp">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<TextView
			android:id="@+id/title"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginEnd="8dp"
			android:layout_marginStart="8dp"
			android:layout_marginTop="8dp"
			android:text=""
			android:textAppearance="?android:attr/textAppearanceListItemSmall"
			app:layout_constraintEnd_toStartOf="@+id/state"
			app:layout_constraintHorizontal_bias="0.0"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tools:text="The Title"/>

		<TextView
			android:id="@+id/state"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginEnd="8dp"
			android:layout_marginTop="8dp"
			android:text=""
			android:textAppearance="@android:style/TextAppearance.Material.Small"
			app:layout_constraintHorizontal_bias="1.0"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tools:text="State"/>

		<TextView
			android:id="@+id/description"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_marginEnd="8dp"
			android:layout_marginStart="8dp"
			android:layout_marginTop="8dp"
			android:text=""
			android:textAppearance="?android:attr/textAppearanceSmall"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintHorizontal_bias="0.0"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/title"
			tools:text="The description"/>

		<Button
			android:id="@+id/play_offline"
			style="@style/Widget.AppCompat.Button.Borderless"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:enabled="false"
			android:text="Offline"
			app:layout_constraintEnd_toStartOf="@+id/download_action"
			app:layout_constraintHorizontal_bias="0.5"
			app:layout_constraintStart_toEndOf="@+id/play_online"
			app:layout_constraintTop_toTopOf="@+id/play_online"/>

		<Button
			android:id="@+id/delete"
			style="@style/Widget.AppCompat.Button.Borderless"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:enabled="false"
			android:text="Delete"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintHorizontal_bias="0.5"
			app:layout_constraintStart_toEndOf="@+id/download_action"
			app:layout_constraintTop_toTopOf="@+id/download_action"/>

		<Button
			android:id="@+id/download_action"
			style="@style/Widget.AppCompat.Button.Borderless"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="Download"
			app:layout_constraintEnd_toStartOf="@+id/delete"
			app:layout_constraintHorizontal_bias="0.5"
			app:layout_constraintStart_toEndOf="@+id/play_offline"
			app:layout_constraintTop_toTopOf="@+id/play_offline"/>

		<Button
			android:id="@+id/play_online"
			style="@style/Widget.AppCompat.Button.Borderless"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginStart="8dp"
			android:text="Online"
			app:layout_constraintEnd_toStartOf="@+id/play_offline"
			app:layout_constraintHorizontal_bias="0.5"
			app:layout_constraintHorizontal_chainStyle="packed"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/download_progress"/>

		<ProgressBar
			android:id="@+id/download_progress"
			style="?android:attr/progressBarStyleHorizontal"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginEnd="16dp"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/description"/>
	</androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>
